
	;set up pre-defined lines and\or continuum
	baseline={ftfitter_line_parms}
	baseline.lineshape='Polynomial'
	baseline.amplitude.value=10
	baseline.centre.value=0.01
	baseline.width.value=-0.001
	baseline.trans_rate.value=0.00001
	
	;initialize the object
	obj=obj_new('ftfitter', line_parms=baseline ,max_iter=100, xtol=1d4, lo_freq=11, hi_freq=12)

	;optionally set parmeters directly
	obj.lo_freq=11
	obj.hi_freq=12
	obj.linewidth=0.01
	obj.threshold=4e4
	
	;load in spectrum from .spc file
	obj->load_spc,programrootdir()+'diff_d_850.spc'

	;load in FITS file
	;obj->load_spc,'filename.fits'

	;optionally set spectrum directly
	;obj.frequency=wn
	;obj.spectrum=spc

	;automatically identify lines and add them to the line list
	result=obj->find_lines(/add)

	;optionally load line parameters from an XML file
	;result=obj->load_lines(programrootdir()+'test_lines.xml')

	;line parameter data can be read directly from the object
	;foreach line, obj.line_parms do print, line.lineshape, line.centre.value, line.amplitude.value, line.width.value, line.trans_rate.value
	
	;fit the lines using analytic lineshape functions
	obj->fit_analytic,/apodized

	;write the output to an XML file
	obj->write_lines_xml,programrootdir()+'test_fit.xml'
	
	;get the computed model spectrum
	fit=obj.model
	
	;get the computed residual
	res=obj.residual
	
	